org.kie.internal.task.api

## Interface InternalTaskService

- All Superinterfaces:
    org.kie.api.runtime.CommandExecutor, org.kie.api.task.TaskService

      public interface InternalTaskService
      extends org.kie.api.task.TaskService

  The Task Service Entry Point serves as facade of all the other services, providing a single entry point to access to all the services

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addAttachment(long taskId, org.kie.api.task.model.Attachment attachment, org.kie.api.task.model.Content content)`
    `long` | `addContent(long taskId, org.kie.api.task.model.Content content)`
    `long` | `addContent(long taskId, Map<String,Object> params)`
    `void` | `addGroup(org.kie.api.task.model.Group group)`
    `void` | `addMarshallerContext(String ownerId, ContentMarshallerContext context)`
    `long` | `addOutputContentFromUser(long taskId, String userId, Map<String,Object> params)`
    `long` | `addTask(org.kie.api.task.model.Task task, ContentData data)`
    `void` | `addUser(org.kie.api.task.model.User user)`
    `void` | `addUsersAndGroups(Map<String,org.kie.api.task.model.User> users, Map<String,org.kie.api.task.model.Group> groups)`
    `int` | `archiveTasks(List<org.kie.api.task.model.TaskSummary> tasks)`
    `void` | `claim(long taskId, String userId, List<String> groupIds)`
    `void` | `claimNextAvailable(String userId, List<String> groupIds)`
    `void` | `deleteAttachment(long taskId, long attachmentId)`
    `void` | `deleteContent(long taskId, long contentId)`
    `void` | `deleteFault(long taskId, String userId)`
    `void` | `deleteOutput(long taskId, String userId)`
    `void` | `deployTaskDef(TaskDef def)`
    `void` | `executeReminderForTask(long taskId, String fromUser)`
    `List<org.kie.api.task.model.TaskSummary>` | `getActiveTasks()`
    `List<org.kie.api.task.model.TaskSummary>` | `getActiveTasks(Date since)`
    `List<org.kie.api.task.model.Attachment>` | `getAllAttachmentsByTaskId(long taskId)`
    `List<org.kie.api.task.model.Content>` | `getAllContentByTaskId(long taskId)`
    `List<TaskDef>` | `getAllTaskDef(String filter)`
    `List<org.kie.api.task.model.TaskSummary>` | `getArchivedTasks()`
    `int` | `getCompletedTaskByUserId(String userId)`
    `List<org.kie.api.task.model.TaskSummary>` | `getCompletedTasks()`
    `List<org.kie.api.task.model.TaskSummary>` | `getCompletedTasks(Date since)`
    `List<org.kie.api.task.model.TaskSummary>` | `getCompletedTasksByProcessId(Long processId)`
    `org.kie.api.task.model.Content` | `getContentByIdForUser(long contentId, String userId)`
    `List<org.kie.api.task.model.I18NText>` | `getDescriptions(long taskId)`
    `Date` | `getExpirationDate(long taskId)`
    `org.kie.api.task.model.Group` | `getGroupById(String groupId)`
    `List<org.kie.api.task.model.Group>` | `getGroups()`
    `ContentMarshallerContext` | `getMarshallerContext(org.kie.api.task.model.Task task)`
    `org.kie.api.task.model.OrganizationalEntity` | `getOrganizationalEntityById(String entityId)`
    `Map<String,Object>` | `getOutputContentMapForUser(long taskId, String userId)`
    `int` | `getPendingSubTasksByParent(long parentId)`
    `int` | `getPendingTaskByUserId(String userId)`
    `Map<Long,List<org.kie.api.task.model.OrganizationalEntity>>` | `getPotentialOwnersForTaskIds(List<Long> taskIds)`
    `int` | `getPriority(long taskId)`
    `List<org.kie.api.task.model.TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId)`
    `List<org.kie.api.task.model.TaskSummary>` | `getSubTasksByParent(long parentId)`
    `SubTasksStrategy` | `getSubTaskStrategy(long taskId)`
    `TaskDef` | `getTaskDefById(String id)`
    `List<TaskEvent>` | `getTaskEventsById(long taskId)`
    `org.kie.api.task.model.Task` | `getTaskInstanceById(long taskId)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsBusinessAdministratorByStatus(String userId, String language, List<org.kie.api.task.model.Status> statuses)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsExcludedOwner(String userId)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, List<org.kie.api.task.model.Status> status, QueryFilter filter)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsPotentialOwnerByExpirationDate(String userId, List<org.kie.api.task.model.Status> statuses, Date expirationDate)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsPotentialOwnerByExpirationDateOptional(String userId, List<org.kie.api.task.model.Status> statuses, Date expirationDate)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<org.kie.api.task.model.Status> status)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsRecipient(String userId)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsTaskInitiator(String userId)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String userId)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedByGroup(String groupId)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksAssignedByGroups(List<String> groupIds)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksByStatusByProcessInstanceIdByTaskName(long processInstanceId, List<org.kie.api.task.model.Status> status, String taskName)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksOwned(String userId, List<org.kie.api.task.model.Status> status, QueryFilter filter)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksOwnedByExpirationDate(String userId, List<org.kie.api.task.model.Status> statuses, Date expirationDate)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksOwnedByExpirationDateBeforeSpecifiedDate(String userId, List<org.kie.api.task.model.Status> status, Date date)`
    `List<org.kie.api.task.model.TaskSummary>` | `getTasksOwnedByExpirationDateOptional(String userId, List<org.kie.api.task.model.Status> statuses, Date expirationDate)`
    `org.kie.api.task.model.User` | `getUserById(String userId)`
    `UserInfo` | `getUserInfo()`
    `List<org.kie.api.task.model.User>` | `getUsers()`
    `boolean` | `isSkipable(long taskId)`
    `void` | `remove(long taskId, String userId)`
    `int` | `removeAllTasks()`
    `void` | `removeGroup(String groupId)`
    `void` | `removeMarshallerContext(String ownerId)`
    `void` | `removeTaskEventsById(long taskId)`
    `int` | `removeTasks(List<org.kie.api.task.model.TaskSummary> tasks)`
    `void` | `removeUser(String userId)`
    `void` | `setDescriptions(long taskId, List<org.kie.api.task.model.I18NText> descriptions)`
    `long` | `setDocumentContentFromUser(long taskId, String userId, byte[] byteContent)`
    `void` | `setFault(long taskId, String userId, FaultData fault)`
    `void` | `setOutput(long taskId, String userId, Object outputContentData)`
    `void` | `setPriority(long taskId, int priority)`
    `void` | `setSkipable(long taskId, boolean skipable)`
    `void` | `setSubTaskStrategy(long taskId, SubTasksStrategy strategy)`
    `void` | `setTaskNames(long taskId, List<org.kie.api.task.model.I18NText> taskNames)`
    `void` | `setUserInfo(UserInfo userInfo)`
    `TaskSummaryQueryBuilder` | `taskSummaryQuery(String userId)`
    `void` | `undeployTaskDef(String id)`

    - ### Methods inherited from interface org.kie.api.task.TaskService

      `activate, addComment, addComment, addTask, claim, claimNextAvailable, complete, delegate, deleteComment, exit, fail, forward, getAllCommentsByTaskId, getAttachmentById, getCommentById, getContentById, getTaskById, getTaskByWorkItemId, getTaskContent, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByProcessId, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksByVariousFields, getTasksByVariousFields, getTasksOwned, getTasksOwnedByStatus, nominate, release, resume, setExpirationDate, skip, start, stop, suspend`

    - ### Methods inherited from interface org.kie.api.runtime.CommandExecutor

      `execute`

- - ### Method Detail

    - #### getTasksOwned

          List<org.kie.api.task.model.TaskSummary> getTasksOwned(String userId,
                                                                 List<org.kie.api.task.model.Status> status,
                                                                 QueryFilter filter)

    - #### getTasksAssignedAsPotentialOwner

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                                                    List<String> groupIds,
                                                                                    List<org.kie.api.task.model.Status> status,
                                                                                    QueryFilter filter)

    - #### addGroup

          void addGroup(org.kie.api.task.model.Group group)

    - #### addUser

          void addUser(org.kie.api.task.model.User user)

    - #### archiveTasks

          int archiveTasks(List<org.kie.api.task.model.TaskSummary> tasks)

    - #### claim

          void claim(long taskId,
                     String userId,
                     List<String> groupIds)

    - #### claimNextAvailable

          void claimNextAvailable(String userId,
                                  List<String> groupIds)

    - #### deleteFault

          void deleteFault(long taskId,
                           String userId)

    - #### deleteOutput

          void deleteOutput(long taskId,
                            String userId)

    - #### deployTaskDef

          void deployTaskDef(TaskDef def)

    - #### getActiveTasks

          List<org.kie.api.task.model.TaskSummary> getActiveTasks()

    - #### getActiveTasks

          List<org.kie.api.task.model.TaskSummary> getActiveTasks(Date since)

    - #### getAllTaskDef

          List<TaskDef> getAllTaskDef(String filter)

    - #### getArchivedTasks

          List<org.kie.api.task.model.TaskSummary> getArchivedTasks()

    - #### getCompletedTasks

          List<org.kie.api.task.model.TaskSummary> getCompletedTasks()

    - #### getCompletedTasks

          List<org.kie.api.task.model.TaskSummary> getCompletedTasks(Date since)

    - #### getCompletedTasksByProcessId

          List<org.kie.api.task.model.TaskSummary> getCompletedTasksByProcessId(Long processId)

    - #### getGroupById

          org.kie.api.task.model.Group getGroupById(String groupId)

    - #### getGroups

          List<org.kie.api.task.model.Group> getGroups()

    - #### getSubTasksAssignedAsPotentialOwner

          List<org.kie.api.task.model.TaskSummary> getSubTasksAssignedAsPotentialOwner(long parentId,
                                                                                       String userId)

    - #### getSubTasksByParent

          List<org.kie.api.task.model.TaskSummary> getSubTasksByParent(long parentId)

    - #### getPendingSubTasksByParent

          int getPendingSubTasksByParent(long parentId)

    - #### getTaskDefById

          TaskDef getTaskDefById(String id)

    - #### getTasksAssignedAsPotentialOwnerByExpirationDate

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsPotentialOwnerByExpirationDate(String userId,
                                                                                                    List<org.kie.api.task.model.Status> statuses,
                                                                                                    Date expirationDate)

    - #### getTasksAssignedAsPotentialOwnerByExpirationDateOptional

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsPotentialOwnerByExpirationDateOptional(String userId,
                                                                                                            List<org.kie.api.task.model.Status> statuses,
                                                                                                            Date expirationDate)

    - #### getTasksOwnedByExpirationDate

          List<org.kie.api.task.model.TaskSummary> getTasksOwnedByExpirationDate(String userId,
                                                                                 List<org.kie.api.task.model.Status> statuses,
                                                                                 Date expirationDate)

    - #### getTasksOwnedByExpirationDateOptional

          List<org.kie.api.task.model.TaskSummary> getTasksOwnedByExpirationDateOptional(String userId,
                                                                                         List<org.kie.api.task.model.Status> statuses,
                                                                                         Date expirationDate)

    - #### getTasksAssignedAsExcludedOwner

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsExcludedOwner(String userId)

    - #### getTasksAssignedAsPotentialOwner

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                                                    List<String> groupIds)

    - #### getTasksAssignedAsPotentialOwnerByStatusByGroup

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                                                   List<String> groupIds,
                                                                                                   List<org.kie.api.task.model.Status> status)

    - #### getTasksAssignedAsRecipient

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsRecipient(String userId)

    - #### getTasksAssignedAsTaskInitiator

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsTaskInitiator(String userId)

    - #### getTasksAssignedAsTaskStakeholder

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsTaskStakeholder(String userId)

    - #### getTasksOwnedByExpirationDateBeforeSpecifiedDate

          List<org.kie.api.task.model.TaskSummary> getTasksOwnedByExpirationDateBeforeSpecifiedDate(String userId,
                                                                                                    List<org.kie.api.task.model.Status> status,
                                                                                                    Date date)

    - #### getTasksByStatusByProcessInstanceIdByTaskName

          List<org.kie.api.task.model.TaskSummary> getTasksByStatusByProcessInstanceIdByTaskName(long processInstanceId,
                                                                                                 List<org.kie.api.task.model.Status> status,
                                                                                                 String taskName)

    - #### getPotentialOwnersForTaskIds

          Map<Long,List<org.kie.api.task.model.OrganizationalEntity>> getPotentialOwnersForTaskIds(List<Long> taskIds)

    - #### getUserById

          org.kie.api.task.model.User getUserById(String userId)

    - #### getUsers

          List<org.kie.api.task.model.User> getUsers()

    - #### addTask

          long addTask(org.kie.api.task.model.Task task,
                       ContentData data)

    - #### remove

          void remove(long taskId,
                      String userId)

    - #### removeGroup

          void removeGroup(String groupId)

    - #### removeTasks

          int removeTasks(List<org.kie.api.task.model.TaskSummary> tasks)

    - #### removeUser

          void removeUser(String userId)

    - #### setFault

          void setFault(long taskId,
                        String userId,
                        FaultData fault)

    - #### setOutput

          void setOutput(long taskId,
                         String userId,
                         Object outputContentData)

    - #### setPriority

          void setPriority(long taskId,
                           int priority)

    - #### setTaskNames

          void setTaskNames(long taskId,
                            List<org.kie.api.task.model.I18NText> taskNames)

    - #### undeployTaskDef

          void undeployTaskDef(String id)

    - #### getTaskEventsById

          List<TaskEvent> getTaskEventsById(long taskId)

    - #### getUserInfo

          UserInfo getUserInfo()

    - #### setUserInfo

          void setUserInfo(UserInfo userInfo)

    - #### addUsersAndGroups

          void addUsersAndGroups(Map<String,org.kie.api.task.model.User> users,
                                 Map<String,org.kie.api.task.model.Group> groups)

    - #### removeAllTasks

          int removeAllTasks()

    - #### addContent

          long addContent(long taskId,
                          org.kie.api.task.model.Content content)

    - #### setDocumentContentFromUser

          long setDocumentContentFromUser(long taskId,
                                          String userId,
                                          byte[] byteContent)

    - #### addContent

          long addContent(long taskId,
                          Map<String,Object> params)

    - #### addOutputContentFromUser

          long addOutputContentFromUser(long taskId,
                                        String userId,
                                        Map<String,Object> params)

    - #### getContentByIdForUser

          org.kie.api.task.model.Content getContentByIdForUser(long contentId,
                                                               String userId)

    - #### getOutputContentMapForUser

          Map<String,Object> getOutputContentMapForUser(long taskId,
                                                        String userId)

    - #### deleteContent

          void deleteContent(long taskId,
                             long contentId)

    - #### getAllContentByTaskId

          List<org.kie.api.task.model.Content> getAllContentByTaskId(long taskId)

    - #### addAttachment

          long addAttachment(long taskId,
                             org.kie.api.task.model.Attachment attachment,
                             org.kie.api.task.model.Content content)

    - #### deleteAttachment

          void deleteAttachment(long taskId,
                                long attachmentId)

    - #### getAllAttachmentsByTaskId

          List<org.kie.api.task.model.Attachment> getAllAttachmentsByTaskId(long taskId)

    - #### removeTaskEventsById

          void removeTaskEventsById(long taskId)

    - #### getOrganizationalEntityById

          org.kie.api.task.model.OrganizationalEntity getOrganizationalEntityById(String entityId)

    - #### setDescriptions

          void setDescriptions(long taskId,
                               List<org.kie.api.task.model.I18NText> descriptions)

    - #### setSkipable

          void setSkipable(long taskId,
                           boolean skipable)

    - #### setSubTaskStrategy

          void setSubTaskStrategy(long taskId,
                                  SubTasksStrategy strategy)

    - #### getPriority

          int getPriority(long taskId)

    - #### getExpirationDate

          Date getExpirationDate(long taskId)

    - #### getDescriptions

          List<org.kie.api.task.model.I18NText> getDescriptions(long taskId)

    - #### isSkipable

          boolean isSkipable(long taskId)

    - #### getSubTaskStrategy

          SubTasksStrategy getSubTaskStrategy(long taskId)

    - #### getTaskInstanceById

          org.kie.api.task.model.Task getTaskInstanceById(long taskId)

    - #### getCompletedTaskByUserId

          int getCompletedTaskByUserId(String userId)

    - #### getPendingTaskByUserId

          int getPendingTaskByUserId(String userId)

    - #### getTasksAssignedByGroup

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedByGroup(String groupId)

    - #### getTasksAssignedByGroups

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedByGroups(List<String> groupIds)

    - #### addMarshallerContext

          void addMarshallerContext(String ownerId,
                                    ContentMarshallerContext context)

    - #### removeMarshallerContext

          void removeMarshallerContext(String ownerId)

    - #### getMarshallerContext

          ContentMarshallerContext getMarshallerContext(org.kie.api.task.model.Task task)

    - #### taskSummaryQuery

          TaskSummaryQueryBuilder taskSummaryQuery(String userId)

    - #### getTasksAssignedAsBusinessAdministratorByStatus

          List<org.kie.api.task.model.TaskSummary> getTasksAssignedAsBusinessAdministratorByStatus(String userId,
                                                                                                   String language,
                                                                                                   List<org.kie.api.task.model.Status> statuses)

    - #### executeReminderForTask

          void executeReminderForTask(long taskId,
                                      String fromUser)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.